<template>
  <div class="divider-y bg-1 h-screen unset-height">
    <div class="space-y-5 p-5" :class="{ '!px-2': themeName === 'playful' }">
      <h4>{{ $t("account_information") }}</h4>
      <div class="form space-y-5">
        <div class="grid grid-cols-2 gap-2">
          <div class="whitespace-normal">{{ $t("last_login") }}</div>
          <div class="break-words">{{ profile.LastLoginOn }}</div>
          <div class="whitespace-normal">{{ $t("last_transaction") }}</div>
          <div class="break-words">{{ profile.LastTransactionOn }}</div>
          <div class="whitespace-normal">{{ $t("password_expiry_on") }}</div>
          <div class="break-words">{{ profile.PasswordExpiryOn }}</div>
        </div>
      </div>
    </div>
    <div class="space-y-5 p-5" :class="{ '!px-2': themeName === 'playful' }">
      <h4>{{ $t("profile") }}</h4>
      <div class="form space-y-5">
        <div class="grid grid-cols-2 gap-2">
          <div class="whitespace-normal">{{ $t("account") }}</div>
          <div class="break-words">{{ profile.Username }}</div>
          <div class="whitespace-normal">{{ $t("country") }}</div>
          <div class="break-words">{{ profile.Country }}</div>
          <div class="whitespace-normal">{{ $t("currency") }}</div>
          <div class="break-words">{{ profile.Currency }}</div>
          <div class="whitespace-normal">{{ $t("mobile") }}</div>
          <div class="break-words">{{ profile.Mobile }}</div>
        </div>
        <div
          class="grid grid-cols-2"
          v-for="(property, index) in profileDetail"
          :key="index"
        >
          <div class="whitespace-normal">{{ $t(property.PropertyName) }}</div>
          <div class="break-words">{{ property.PropertyValue }}</div>
        </div>
        <template v-if="isCashPlayer">
          <div class="grid grid-cols-2">
            <div class="whitespace-normal">
              {{ $t("player_transfer_bank") }}
            </div>
            <div class="break-words">{{ profile.Bank }}</div>
          </div>
          <div class="grid grid-cols-2">
            <div class="whitespace-normal">{{ $t("player_payment_bank") }}</div>
            <div class="break-words">{{ profile.PaymentBank }}</div>
          </div>
        </template>
      </div>
      <ul v-if="!timeZoneIsHidden" class="form space-y-5">
        <lazy-theme-common-mobile-account-preference />
      </ul>
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent } from "vue";
import { store } from "@/store";

export default defineComponent({
  name: "Profile",
  setup() {
    const { profile, profileDetail, timeZoneIsHidden, isCashPlayer } =
    useAccountInformation();
    const themeName = store.state.selectedThemeName;
    return {
      profile,
      profileDetail,
      timeZoneIsHidden,
      isCashPlayer,
      themeName,
    };
  },
});
</script>
